package com.bonus.material.back.service;


import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.back.domain.BackCsDeviceDetails;
import com.bonus.material.back.domain.BackCsDeviceInfo;
import com.bonus.material.back.domain.BackCsDeviceVo;
import com.bonus.material.devchange.domain.CsDeviceDetails;

import java.util.List;

/**
 * @author ma_sh
 */
public interface BackChangeService {

    /**
     * 获取添加设备详情
     * @param dto
     * @return
     */
    List<BackCsDeviceDetails> getDevDetailsInfo(BackCsDeviceDetails dto);

    /**
     * 新增退库申请
     * @param csDeviceVo
     * @return
     */
    AjaxResult addDevDetails(BackCsDeviceVo csDeviceVo);

    /**
     * 修改退库申请
     * @param csDeviceVo
     * @return
     */
    AjaxResult updateDevDetails(BackCsDeviceVo csDeviceVo);

    /**
     * 删除退库申请
     * @param csDeviceInfo
     * @return
     */
    AjaxResult deleteDevDetails(BackCsDeviceInfo csDeviceInfo);

    /**
     * 获取设备详情
     * @param dto
     * @return
     */
    BackCsDeviceVo getDevDetailsById(BackCsDeviceDetails dto);

    /**
     * 获取申请一级列表
     * @param dto
     * @return
     */
    List<BackCsDeviceInfo> getList(BackCsDeviceInfo dto);

    /**
     * 退库审核
     * @param backCsDeviceDetails
     * @return
     */
    AjaxResult approve(BackCsDeviceDetails backCsDeviceDetails);
}
